> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Convai Workspace Secrets

> Get all workspace secrets for the user



## OpenAPI

````yaml /api-reference/openapi.json get /v1/convai/secrets
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/convai/secrets:
    get:
      tags:
        - Agents Platform
      summary: Get Convai Workspace Secrets
      description: Get all workspace secrets for the user
      operationId: get_secrets_route
      parameters:
        - name: page_size
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 100
                minimum: 1
              - type: 'null'
            description: >-
              How many documents to return at maximum. Can not exceed 100. If
              not provided, returns all secrets.
            title: Page Size
          description: >-
            How many documents to return at maximum. Can not exceed 100. If not
            provided, returns all secrets.
        - name: dependency_limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 100
                minimum: 1
              - type: 'null'
            description: >-
              Maximum number of dependent resources (tools, agents, phone
              numbers) to return per secret. Can not exceed 100.
            title: Dependency Limit
          description: >-
            Maximum number of dependent resources (tools, agents, phone numbers)
            to return per secret. Can not exceed 100.
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              If specified, returns only secrets whose names start with this
              string.
            title: Search
          description: >-
            If specified, returns only secrets whose names start with this
            string.
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Used for fetching next page. Cursor is returned in the response.
            title: Cursor
          description: Used for fetching next page. Cursor is returned in the response.
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetWorkspaceSecretsResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GetWorkspaceSecretsResponseModel:
      properties:
        secrets:
          items:
            $ref: '#/components/schemas/ConvAIWorkspaceStoredSecretConfig'
          type: array
          title: Secrets
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Cursor for fetching the next page of secrets
      type: object
      required:
        - secrets
      title: GetWorkspaceSecretsResponseModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConvAIWorkspaceStoredSecretConfig:
      properties:
        type:
          type: string
          const: stored
          title: Type
        secret_id:
          type: string
          title: Secret Id
        name:
          type: string
          title: Name
        used_by:
          $ref: '#/components/schemas/ConvAIStoredSecretDependencies'
      type: object
      required:
        - type
        - secret_id
        - name
        - used_by
      title: ConvAIWorkspaceStoredSecretConfig
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ConvAIStoredSecretDependencies:
      properties:
        tools:
          items:
            oneOf:
              - $ref: '#/components/schemas/DependentAvailableToolIdentifier'
              - $ref: '#/components/schemas/DependentUnknownToolIdentifier'
            discriminator:
              propertyName: type
              mapping:
                available:
                  $ref: '#/components/schemas/DependentAvailableToolIdentifier'
                unknown:
                  $ref: '#/components/schemas/DependentUnknownToolIdentifier'
          type: array
          title: Tools
        tools_has_more:
          type: boolean
          title: Tools Has More
          description: Whether there are more tool dependents beyond the returned preview
          default: false
        agents:
          items:
            oneOf:
              - $ref: '#/components/schemas/DependentAvailableAgentIdentifier'
              - $ref: '#/components/schemas/DependentUnknownAgentIdentifier'
            discriminator:
              propertyName: type
              mapping:
                available:
                  $ref: '#/components/schemas/DependentAvailableAgentIdentifier'
                unknown:
                  $ref: '#/components/schemas/DependentUnknownAgentIdentifier'
          type: array
          title: Agents
        agents_has_more:
          type: boolean
          title: Agents Has More
          description: Whether there are more agent dependents beyond the returned preview
          default: false
        phone_numbers:
          items:
            $ref: '#/components/schemas/DependentPhoneNumberIdentifier'
          type: array
          title: Phone Numbers
        phone_numbers_has_more:
          type: boolean
          title: Phone Numbers Has More
          description: >-
            Whether there are more phone number dependents beyond the returned
            preview
          default: false
        mcp_servers:
          items:
            oneOf:
              - $ref: '#/components/schemas/DependentAvailableMCPServerIdentifier'
              - $ref: '#/components/schemas/DependentUnknownMCPServerIdentifier'
            discriminator:
              propertyName: type
              mapping:
                available:
                  $ref: '#/components/schemas/DependentAvailableMCPServerIdentifier'
                unknown:
                  $ref: '#/components/schemas/DependentUnknownMCPServerIdentifier'
          type: array
          title: Mcp Servers
        others:
          items:
            $ref: '#/components/schemas/SecretDependencyType'
          type: array
          title: Others
      type: object
      required:
        - tools
        - agents
        - others
      title: ConvAIStoredSecretDependencies
    DependentAvailableToolIdentifier:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        type:
          type: string
          const: available
          title: Type
          default: available
        created_at_unix_secs:
          type: integer
          title: Created At Unix Secs
        access_level:
          type: string
          enum:
            - admin
            - editor
            - commenter
            - viewer
          title: Access Level
      type: object
      required:
        - id
        - name
        - created_at_unix_secs
        - access_level
      title: DependentAvailableToolIdentifier
    DependentUnknownToolIdentifier:
      properties:
        type:
          type: string
          const: unknown
          title: Type
          default: unknown
        id:
          type: string
          title: Id
      type: object
      required:
        - id
      title: DependentUnknownToolIdentifier
      description: |-
        A model that represents an tool dependent on a knowledge base/tools
        to which the user has no direct access.
    DependentAvailableAgentIdentifier:
      properties:
        referenced_resource_ids:
          items:
            type: string
          type: array
          title: Referenced Resource Ids
          description: >-
            If the agent is a transitive dependent, contains IDs of the
            resources that the agent depends on directly.
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        type:
          type: string
          const: available
          title: Type
          default: available
        created_at_unix_secs:
          type: integer
          title: Created At Unix Secs
        access_level:
          type: string
          enum:
            - admin
            - editor
            - commenter
            - viewer
          title: Access Level
      type: object
      required:
        - id
        - name
        - created_at_unix_secs
        - access_level
      title: DependentAvailableAgentIdentifier
    DependentUnknownAgentIdentifier:
      properties:
        referenced_resource_ids:
          items:
            type: string
          type: array
          title: Referenced Resource Ids
          description: >-
            If the agent is a transitive dependent, contains IDs of the
            resources that the agent depends on directly.
        id:
          type: string
          title: Id
        type:
          type: string
          const: unknown
          title: Type
          default: unknown
      type: object
      required:
        - id
      title: DependentUnknownAgentIdentifier
      description: |-
        A model that represents an agent dependent on a knowledge base/tools
        to which the user has no direct access.
    DependentPhoneNumberIdentifier:
      properties:
        phone_number_id:
          type: string
          title: Phone Number Id
        phone_number:
          type: string
          title: Phone Number
        label:
          type: string
          title: Label
        provider:
          type: string
          enum:
            - managed_pstn
            - sip_trunk
          title: Provider
      type: object
      required:
        - phone_number_id
        - phone_number
        - label
        - provider
      title: DependentPhoneNumberIdentifier
    DependentAvailableMCPServerIdentifier:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        type:
          type: string
          const: available
          title: Type
          default: available
        created_at_unix_secs:
          type: integer
          title: Created At Unix Secs
        access_level:
          type: string
          enum:
            - admin
            - editor
            - commenter
            - viewer
          title: Access Level
      type: object
      required:
        - id
        - name
        - created_at_unix_secs
        - access_level
      title: DependentAvailableMCPServerIdentifier
    DependentUnknownMCPServerIdentifier:
      properties:
        id:
          type: string
          title: Id
        type:
          type: string
          const: unknown
          title: Type
          default: unknown
      type: object
      required:
        - id
      title: DependentUnknownMCPServerIdentifier
    SecretDependencyType:
      type: string
      enum:
        - conversation_initiation_webhook
      title: SecretDependencyType

````